ubuntu-tweak crached in logo

Bug #1144075 reported by Александр on 2013-03-04
256
This bug affects 57 people
Affects Status Importance Assigned to Milestone
Ubuntu Tweak
Critical
Ding Zhou

Bug Description

sanek@MyLinux:~$ ubuntu-tweak
[Launcher][DEBUG] Distribution: Ubuntu 13.04 raring
Application: Ubuntu Tweak 0.8.4-0~bzr1951+20130215~raring1
Desktop:gnome (ubuntu-tweak:68)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function _confirm_deps at 0x2750320> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function _on_error at 0x27505f0> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_find_object at 0x2772b90> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_finished at 0x2772c80> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_error at 0x2772d70> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_plugin_object_cleaned at 0x27730c8> (debug.py:184)
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function _load_module at 0x25f69b0> (debug.py:184)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/tweaks (common.py:107)
[CommonSetting][DEBUG] Loading override (common.py:94)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'recently-used'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'clips'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'tweaks'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'admins'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'auto-backup'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'window-size'), ('type', '(ii)')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'last-clip-location'), ('type', 's')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-has-update'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-version'), ('type', 's')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.tweaks (gsettings.py:21)
[app][DEBUG] Loading modules... (main.py:180)
[ModuleLoader][INFO] Loading system modules for tweaks... (__init__.py:54)
[ModuleLoader][DEBUG] Try to load module: lovewallpaperhd (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: unity (__init__.py:159)
[ModuleLoader][DEBUG] Try to load module: session (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: misc (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: workarounds (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: nautilus (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: fonts (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: theme (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: workspace (__init__.py:159)
[ModuleLoader][DEBUG] Try to load module: sound (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: window (__init__.py:159)
[CommonSetting][DEBUG] Loading schema value for: org.gnome.shell.overrides/button-layout (common.py:107)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'attach-modal-dialogs')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 's'), ('name', 'button-layout')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'edge-tiling')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'dynamic-workspaces')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'workspaces-only-on-primary')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'focus-change-on-pointer-rest')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: :close for key: org.gnome.shell.overrides.button-layout (gsettings.py:21)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: icons (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: loginsettings (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][INFO] Loading user extensions for tweaks... (__init__.py:64)
[app][INFO] Creating ModuleButton: <class 'sound.Sound'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'misc.Misc'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'theme.Theme'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'fonts.Fonts'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'session.Session'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'loginsettings.LoginSettings'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'lovewallpaperhd.LovewallpaperHD'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'icons.Icons'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'workarounds.Workarounds'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'nautilus.Nautilus'> (main.py:51)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/admins (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.admins (gsettings.py:21)
[app][DEBUG] Loading modules... (main.py:180)
[ModuleLoader][INFO] Loading system modules for admins... (__init__.py:54)
[ModuleLoader][DEBUG] Try to load module: sourceeditor (__init__.py:159)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function process_data at 0x28822a8> (debug.py:184)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: templates (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: filetypemanager (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: userdir (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: quicklists (__init__.py:159)
[ModuleLoader][DEBUG] Try to load module: appcenter (__init__.py:159)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/appcenter-has-update (common.py:107)
[GSetting][DEBUG] Got the schema_default: False for key: com.ubuntu-tweak.tweak.appcenter-has-update (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/appcenter-version (common.py:107)
[GSetting][DEBUG] Got the schema_default: for key: com.ubuntu-tweak.tweak.appcenter-version (gsettings.py:21)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_have_update at 0x28d26e0> (debug.py:184)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: scripts (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: desktoprecovery (__init__.py:159)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function process_data at 0x28e1140> (debug.py:184)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: shortcuts (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: sourcecenter (__init__.py:159)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/appcenter-has-update (common.py:107)
[GSetting][DEBUG] Got the schema_default: False for key: com.ubuntu-tweak.tweak.appcenter-has-update (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/appcenter-version (common.py:107)
[GSetting][DEBUG] Got the schema_default: for key: com.ubuntu-tweak.tweak.appcenter-version (gsettings.py:21)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_have_update at 0x2bcb9b0> (debug.py:184)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.apps/disable-warning (common.py:107)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'disable-warning'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'apps-can-update'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'apps-version'), ('type', 's')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'sources-can-update'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'sources-version'), ('type', 's')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: False for key: com.ubuntu-tweak.apps.disable-warning (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.apps/sources-can-update (common.py:107)
[GSetting][DEBUG] Got the schema_default: False for key: com.ubuntu-tweak.apps.sources-can-update (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.apps/sources-version (common.py:107)
[GSetting][DEBUG] Got the schema_default: for key: com.ubuntu-tweak.apps.sources-version (gsettings.py:21)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function show_warning at 0x2bcdb18> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function upgrade_sources at 0x2bcdde8> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x1fa5c08>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_have_update at 0x2bcded8> (debug.py:184)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][INFO] Loading user extensions for admins... (__init__.py:64)
[app][INFO] Creating ModuleButton: <class 'sourcecenter.SourceCenter'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'appcenter.AppCenter'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'userdir.UserDir'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'scripts.Scripts'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'templates.Templates'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'sourceeditor.SourceEditor'> (main.py:51)
[app][INFO] Creating ModuleButton: <class 'filetypemanager.FileTypeManager'> (main.py:51)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/recently-used (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.recently-used (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/clips (common.py:107)
[GSetting][DEBUG] Got the schema_default: ['HardwareInfo', 'SystemInfo', 'CleanerInfo', 'UpdateInfo'] for key: com.ubuntu-tweak.tweak.clips (gsettings.py:21)
[ClipPage][DEBUG] Load clips, do_remove: False (__init__.py:137)
[ClipPage][DEBUG] All clips to load: ['HardwareInfo', 'SystemInfo', 'CleanerInfo', 'UpdateInfo'] (__init__.py:145)
[ModuleLoader][INFO] Loading system modules for clips... (__init__.py:54)
[ModuleLoader][DEBUG] Try to load module: userinfo (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: updateinfo (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: cleanerinfo (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: hardwareinfo (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: systeminfo (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][INFO] Loading user extensions for clips... (__init__.py:64)
[ClipPage][DEBUG] Load clip: HardwareInfo (__init__.py:153)
[ClipPage][DEBUG] Load clip: SystemInfo (__init__.py:153)
[ClipPage][DEBUG] Load clip: CleanerInfo (__init__.py:153)
[ClipPage][DEBUG] Load clip: UpdateInfo (__init__.py:153)
[ClipPage][DEBUG] Overview page: setup_recently_used, 0 used items found (__init__.py:168)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.janitor/auto-scan (common.py:107)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'plugins'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'auto-scan'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'janitor-view-width'), ('type', 'i')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: True for key: com.ubuntu-tweak.janitor.auto-scan (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.janitor/plugins (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.janitor.plugins (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.janitor/janitor-view-width (common.py:107)
[GSetting][DEBUG] Got the schema_default: 0 for key: com.ubuntu-tweak.janitor.janitor-view-width (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/clips (common.py:107)
[GSetting][DEBUG] Got the schema_default: ['HardwareInfo', 'SystemInfo', 'CleanerInfo', 'UpdateInfo'] for key: com.ubuntu-tweak.tweak.clips (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/tweaks (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.tweaks (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/admins (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.admins (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.janitor/plugins (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.janitor.plugins (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/last-clip-location (common.py:107)
[GSetting][DEBUG] Got the schema_default: for key: com.ubuntu-tweak.tweak.last-clip-location (gsettings.py:21)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.janitor/auto-scan (common.py:107)
[GSetting][DEBUG] Got the schema_default: True for key: com.ubuntu-tweak.janitor.auto-scan (gsettings.py:21)
[widgets][DEBUG] Connect the setting notify to on_value_changed: com.ubuntu-tweak.janitor.auto-scan (widgets.py:35)
[widgets][DEBUG] Set the swtich to: True (widgets.py:97)
[gui.containers][DEBUG] There are totally 2 columns (containers.py:117)
[gui.containers][DEBUG] Found item: (<Label object at 0x28cf820 (GtkLabel at 0x2ccf7c0)>, <Switch object at 0x28cf8c0 (ubuntutweak+gui+widgets+Switch at 0x2cc4770)>) (containers.py:184)
[gui.containers][DEBUG] Attach widget: <Label object at 0x28cf820 (GtkLabel at 0x2ccf7c0)> to Grid: 0,1,1,1
 (containers.py:233)
[gui.containers][DEBUG] Set the widget(<Switch with key: auto-scan>) Align START (containers.py:220)
[gui.containers][DEBUG] Attach widget: <Switch with key: auto-scan> to Grid: 1,1,1,1
 (containers.py:233)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/recently-used (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.recently-used (gsettings.py:21)
[ClipPage][DEBUG] on_recently_scrolled_window_size_allocate, max_height: 378 (__init__.py:201)

(ubuntu-tweak:3570): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 360
Ловушка трассировки/останова (сделан дамп памяти)
sanek@MyLinux:~$

Ding Zhou (tualatrix) wrote :

Seems like you're using a GNOME PPA ?

Changed in ubuntu-tweak:
status: New → Incomplete
Александр (sanek7-7) wrote :

yes. i`m using Gnome ppa and gnome desktop

Ding Zhou (tualatrix) wrote :

Because third-party PPA source isn't stable yet, they will cause a lot of problems like this, this is not going to be fixed. Please purge your ppa and revert to the original GNOME packages.

Changed in ubuntu-tweak:
status: Incomplete → Won't Fix
GroovyMotion (flywaver) wrote :

Same here 13.04 with gnome3 team PPA and purged the gnome3 staging PPA and reinstalled ubuntu-tweak and still have this error msg
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : Default

(ubuntu-tweak:13529): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 357
Trace/breakpoint trap (core dumped)

Same here Ubuntu 13.04 gnome3 team PPA.

$ ubuntu-tweak
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity

(ubuntu-tweak:3452): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 352
«trap» para punto de parada/seguimiento (`core' generado)

BuM (bumaw) wrote :
Download full text (19.0 KiB)

ubuntu-tweak -d
[Launcher][DEBUG] Distribution: Ubuntu 13.04 raring
Application: Ubuntu Tweak 0.8.4-1~raring1
Desktop:gnome (ubuntu-tweak:68)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function func_wrapper at 0x8e406f4> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function _confirm_deps at 0x8e4072c> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_find_object at 0x8e57f7c> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_finished at 0x8e5a02c> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_error at 0x8e5a09c> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_plugin_object_cleaned at 0x8e5a1ec> (debug.py:184)
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity
[gtk][DEBUG] <function post_ui at 0x8b313ac>: (debug.py:182)
[gtk][DEBUG] args-1: <function _load_module at 0x8f6864c> (debug.py:184)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/tweaks (common.py:107)
[CommonSetting][DEBUG] Loading override (common.py:94)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'recently-used'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'clips'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'tweaks'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'admins'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'auto-backup'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'window-size'), ('type', '(ii)')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'last-clip-location'), ('type', 's')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-has-update'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-version'), ('type', 's')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.tweaks (gsettings.py:21)
[app][DEBUG] Loading modules... (main.py:180)
[ModuleLoader][INFO] Loading system modules for tweaks... (__init__.py:54)
[ModuleLoader][DEBUG] Try to load module: misc (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: nautilus (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: window (__init__.py:159)
[CommonSetting][DEBUG] Loading schema value for: org.gnome.shell.overrides/button-layout (common.py:107)
[CommonSetting][DEBUG] Try to get type for value: [('type', 'b'), ('name', 'attach-modal-dialogs')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('type', 's'), ('name'...

ptolomey (kampri4ikos) wrote :

Same problem with Ubuntu-Tweak 0.8.4.1 in Ubuntu 13.04 (x86) from ppa: https://launchpad.net/~tualatrix/+archive/ppa.
The error is:

    $ sudo ubuntu-tweak
      compizconfig - Info: Backend : ini
     compizconfig - Info: Integration : true
     compizconfig - Info: Profile : default

   (ubuntu-tweak:3905): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 361

Chris (kyfho23) wrote :

(ubuntu-tweak:21116): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 359
Trace/breakpoint trap (core dumped)
[Sat May 18][22:15:39][~] <- NOTE: THIS IS A NEW COMMAND LINE PROMPT
-> Segmentation fault (core dumped)

Otherwise, pretty much the same as the above. Did I remove a necessary theme?

Chris (kyfho23) wrote :

Note on my comment above: Many of the reporters on the duplicate bug reports are using the GNOME PPA. I'm not-Unity here.

rmmonster (philipp-kruemel) wrote :

I have just created a duplicate of this bug by accident.
Some Updates on this bug:

:~$ubuntu-tweak --version
ubuntu-tweak 0.8.5

:~$ubuntu-tweak --debug
[Launcher][DEBUG] Distribution: Ubuntu 13.04 raring
Application: Ubuntu Tweak 0.8.5-1~raring2
Desktop:ubuntu (ubuntu-tweak:68)
[...]
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/recently-used (common.py:107)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.recently-used (gsettings.py:21)
[ClipPage][DEBUG] on_recently_scrolled_window_size_allocate, max_height: 380 (__init__.py:201)

(ubuntu-tweak:13383): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 361

I'm running Ubuntu 13.04 with Unity and the gnome3 ppa (gnome3-team-gnome3.list)

Blaster (holst-niels) wrote :

Same problem as above

baddison@TP-T430:~$ ubuntu-tweak
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity

(ubuntu-tweak:1999): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 356
Trace/breakpoint trap
baddison@TP-T430:~$

Same issue here. Using Ubuntu 13.04 64-bit, Standard default Unity desktop. Cannot launch Ubuntu-tweak tool.

Van Stokes, Jr. (vstokes) wrote :

Using the gnome3 ppa.

vstokes@eerlon:$ ubuntu-tweak
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : Default
[utils.icon][WARNING] Icon 'gconf-editor' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gconf-editor' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-session-hibernate' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-session-hibernate' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'application-octet-stream' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'application-octet-stream' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-app-install' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-app-install' not present in theme (icon.py:32)
[utils.icon][WARNING] get_from_list for folder-home failed, try next (icon.py:56)
[utils.icon][WARNING] get_from_list for folder-home failed, try next (icon.py:56)
[utils.icon][WARNING] Icon 'application-x-theme' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'application-x-theme' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'computerjanitor' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'computerjanitor' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-session-hibernate' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'gnome-session-hibernate' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'application-octet-stream' not present in theme (icon.py:32)
[utils.icon][WARNING] Icon 'application-octet-stream' not present in theme (icon.py:32)

(ubuntu-tweak:1603): Gtk-ERROR **: GtkBox child GtkTreeView minimum width: -1 < 0 for height 359
Trace/breakpoint trap (core dumped)

Ding Zhou (tualatrix) on 2013-09-14
Changed in ubuntu-tweak:
status: Won't Fix → Confirmed
importance: Undecided → Critical
milestone: none → 0.8.6
assignee: nobody → Ding Zhou (tualatrix)
Blaster (holst-niels) wrote :

Thanks Ding Zhou!

Ding Zhou (tualatrix) on 2013-09-15
Changed in ubuntu-tweak:
status: Confirmed → Fix Committed
Ding Zhou (tualatrix) wrote :

This bug has been fixed in Ubuntu Tweak 0.8.6, now it is avaiable in the Testing PPA, please help to test and tell me if it works.

https://code.launchpad.net/~ubuntu-tweak-testing/+archive/ppa

Blaster (holst-niels) wrote :

Thanks again Ding Zhou.

It's working perfectly now. Tested in Ubuntu 13.04 running Gnome Shell 3.8. It's flawless!

Instructions for others to test the fix:

sudo add-apt-repository ppa:ubuntu-tweak-testing/ppa
sudo apt-get update && sudo apt-get install ubuntu-tweak

Blaster (holst-niels) wrote :
Download full text (25.5 KiB)

Sorry, I was probably a bit too fast. It's crashing if I hit the "Apps"-tab. Everything else seems to work though.

~$ ubuntu-tweak
[Launcher][DEBUG] Distribution: Ubuntu 13.04 raring
Application: Ubuntu Tweak 0.8.6-0~bzr1972+20130915~ubuntu13.04.1
Desktop:gnome (ubuntu-tweak:68)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function _confirm_deps at 0x98ab924> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function _on_error at 0x98aba74> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_find_object at 0x98c42cc> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_finished at 0x98c433c> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_scan_error at 0x98c43ac> (debug.py:184)
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function on_plugin_object_cleaned at 0x98c44fc> (debug.py:184)
compizconfig - Info: Backend : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile : unity
[gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
[gtk][DEBUG] args-1: <function _load_module at 0x99a287c> (debug.py:184)
[CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/tweaks (common.py:107)
[CommonSetting][DEBUG] Loading override (common.py:94)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'recently-used'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'clips'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'tweaks'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'admins'), ('type', 'as')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'auto-backup'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'window-size'), ('type', '(ii)')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'last-clip-location'), ('type', 's')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-has-update'), ('type', 'b')] (common.py:147)
[CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-version'), ('type', 's')] (common.py:147)
[GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.tweaks (gsettings.py:21)
[app][DEBUG] Loading modules... (main.py:178)
[ModuleLoader][INFO] Loading system modules for tweaks... (__init__.py:54)
[ModuleLoader][DEBUG] Try to load module: loginsettings (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: nautilus (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: theme (__init__.py:159)
[ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
[ModuleLoader][DEBUG] Try to load module: icons (__init__.py:159)
[ModuleLoader][DEBUG] is...

OssNass (ossnass) wrote :

On 15 أيلول, 2013 EEST 12:17:02 م, Ossama Nasser wrote:
> On 15 أيلول, 2013 ص 06:29, Ding Zhou wrote:
>> This bug has been fixed in Ubuntu Tweak 0.8.6, now it is avaiable in the
>> Testing PPA, please help to test and tell me if it works.
>>
>> https://code.launchpad.net/~ubuntu-tweak-testing/+archive/ppa
>>
> Thanks a lot.
> It's working now
>

The App tab is working fine

OssNass (ossnass) wrote :
Download full text (26.3 KiB)

On 15 أيلول, 2013 EEST 12:09:00 م, Blaster wrote:
> Sorry, I was probably a bit too fast. It's crashing if I hit the
> "Apps"-tab. Everything else seems to work though.
>
> ~$ ubuntu-tweak
> [Launcher][DEBUG] Distribution: Ubuntu 13.04 raring
> Application: Ubuntu Tweak 0.8.6-0~bzr1972+20130915~ubuntu13.04.1
> Desktop:gnome (ubuntu-tweak:68)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function _confirm_deps at 0x98ab924> (debug.py:184)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function _on_error at 0x98aba74> (debug.py:184)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function on_find_object at 0x98c42cc> (debug.py:184)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function on_scan_finished at 0x98c433c> (debug.py:184)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function on_scan_error at 0x98c43ac> (debug.py:184)
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function on_plugin_object_cleaned at 0x98c44fc> (debug.py:184)
> compizconfig - Info: Backend : gsettings
> compizconfig - Info: Integration : true
> compizconfig - Info: Profile : unity
> [gtk][DEBUG] <function post_ui at 0x94fe2cc>: (debug.py:182)
> [gtk][DEBUG] args-1: <function _load_module at 0x99a287c> (debug.py:184)
> [CommonSetting][DEBUG] Loading schema value for: com.ubuntu-tweak.tweak/tweaks (common.py:107)
> [CommonSetting][DEBUG] Loading override (common.py:94)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'recently-used'), ('type', 'as')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'clips'), ('type', 'as')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'tweaks'), ('type', 'as')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'admins'), ('type', 'as')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'auto-backup'), ('type', 'b')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'window-size'), ('type', '(ii)')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'last-clip-location'), ('type', 's')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-has-update'), ('type', 'b')] (common.py:147)
> [CommonSetting][DEBUG] Try to get type for value: [('name', 'appcenter-version'), ('type', 's')] (common.py:147)
> [GSetting][DEBUG] Got the schema_default: [] for key: com.ubuntu-tweak.tweak.tweaks (gsettings.py:21)
> [app][DEBUG] Loading modules... (main.py:178)
> [ModuleLoader][INFO] Loading system modules for tweaks... (__init__.py:54)
> [ModuleLoader][DEBUG] Try to load module: loginsettings (__init__.py:159)
> [ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
> [ModuleLoader][DEBUG] Try to load module: nautilus (__init__.py:159)
> [ModuleLoader][DEBUG] is_supported_distro (__init__.py:238)
> [ModuleLoader][DEBUG] Try to load module: theme (__init__.py:159)
> [ModuleLoader...

Xavier Guillot (valeryan-24) wrote :

Ubuntu Tweak finally works perfectly in Ubuntu Saucy 13.10 beta updated with the ppa, including Apps tab, thanks !

Blaster (holst-niels) wrote :

Also my enabled PPAs in the "Admin"-tab shows none? I could have sworn that at least my Ubuntu Tweak testing PPA is enabled.

Screenshot here:
(top left)

http://oi44.tinypic.com/jt2ibr.jpg

Ding Zhou (tualatrix) on 2013-10-13
Changed in ubuntu-tweak:
status: Fix Committed → Fix Released
BavarianPH (bavarianph) wrote :

This is what ubuntu-tweak does using trusty
logo comes up hard drive blinks a few times,
ubuntu-tweak logo disappears, that's all folks.

debug message has atleast 2 pointers:

schema unico missing

segmentation fault.

purging, reinstalling no dice.

See attachment:

BavarianPH (bavarianph) wrote :

ubuntu-tweak has been very buggy regardless of ubuntu versions.

0.8.7 ubuntu-tweak for trusty ubuntu-gnome is no differend.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions